Source: golang-github-malfunkt-iprange
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/malfunkt/iprange
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-malfunkt-iprange
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-malfunkt-iprange.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/malfunkt/iprange

Package: golang-github-malfunkt-iprange-dev
Architecture: all
Depends: golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Multi-Arch: foreign
Description: IPv4 address parser for the nmap format
 IPrange is a library can use to parse IPv4 addresses from a string
 in the nmap format.
 .
 IPrange takes a string, and returns a list of Min-Max pairs, which
 can then be expanded and normalized automatically by the package.
 .
 Supported Formats:
  - 10.0.0.1
  - 10.0.0.0/24
  - 10.0.0.*
  - 10.0.0.1-10
  - 10.0.0.1, 10.0.0.5-10, 192.168.1.*, 192.168.10.0/24
